### A free/open-source library for quantitative finance

Public Member Functions
FDEuropeanEngine< Scheme > Class Template Reference
Vanilla option engines

Pricing engine for European options using finite-differences. More...

`#include <ql/pricingengines/vanilla/fdeuropeanengine.hpp>`

Inheritance diagram for FDEuropeanEngine< Scheme >:
[legend]

List of all members.

## Public Member Functions

| FDEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDEuropeanEngine< Scheme >

Pricing engine for European options using finite-differences.

Tests:
  the correctness of the returned value is tested by checking it against analytic results.

Examples:
  EquityOption.cpp.